
Figure - Bug #113030
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】恢复出厂设置、手势导航、日期与时间-时区-时区、区域，页面标题显示有误
2022-10-26 15:44 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-26

Priority: Normal Due date: 2022-10-27

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221026.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210280435

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、进入设置-恢复出厂设置

2、系统-手势-手势导航旁边的设置点进去

3、进入日期与时间-时区-时区、区域页面

【预期结果】

1、页面标题为清除所有数据（恢复出厂设置）

2、页面标题为手势导航设置

3、页面标题为时区、区域

【实际结果】

1、页面标题为设置

2、页面标题为通知

3、页面标题为设置

【复现率】

必现

History

#1 - 2022-10-27 14:00 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

#2 - 2022-10-27 16:11 - CD AF-陈羽杰

- Due date set to 2022-10-27

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 编码问题
■ Current conclusion

本地已修复验证

■ My analysis

由于原生和之前合入代码时未设置页面标题，导致部分标题无法显示正确

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/158339

#3 - 2022-10-28 11:02 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210280435

10.28 验证关闭

#4 - 2022-10-28 11:03 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#5 - 2022-12-22 20:47 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

158339 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix Title  display error1.fix NavigationGesture title display error2.fix FactoryReset title display error3.fix TimeZone title display error4.fix

SavedNetwork title display errorTC-RID: 1201-0201813IssueID: TS-R-BUG-113030Change-Id: I6ee36e755bd75c95a4025e4abe98626615598127
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/158339

